
package com.tmerclub.cloud.api.platform.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 下线处理事件DTO
 *
 * @author YXF
 * @date 2021-01-15 17:46:26
 */
public class OfflineHandleEventDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "事件id")
    private Long eventId;

    @Schema(description = "处理id——spuId/shopId...")
    private Long handleId;

    @Schema(description = "用户类型见SysTypeEnum 0.普通用户系统 1.商家端 2平台端 3供应商端")
    private Integer sysType;

    @Schema(description = "处理id——spuIds/shopIds...")
    private List<Long> handleIds;

    @Schema(description = "下线原因")
    private String offlineReason;

    @Schema(description = "拒绝理由")
    private String refuseReason;

    @Schema(description = "申请理由")
    private String reapplyReason;

    @Schema(description = "3.审核通过 4 审核未通过")
    private Integer status;
    /**
     * 处理人id
     */
    private Long handlerId;

    @Schema(description = "关联的店铺id")
    private Long shopId;

    /**
     * 1 商品 2 店铺 3满减 4.优惠券 5.团购 6.分销 7.秒杀 9.自提点
     */
    private Integer handleType;

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getEventId() {
        return eventId;
    }

    public void setEventId(Long eventId) {
        this.eventId = eventId;
    }

    public Integer getHandleType() {
        return handleType;
    }

    public void setHandleType(Integer handleType) {
        this.handleType = handleType;
    }

    public Long getHandleId() {
        return handleId;
    }

    public void setHandleId(Long handleId) {
        this.handleId = handleId;
    }

    public Integer getSysType() {
        return sysType;
    }

    public void setSysType(Integer sysType) {
        this.sysType = sysType;
    }

    public List<Long> getHandleIds() {
        return handleIds;
    }

    public void setHandleIds(List<Long> handleIds) {
        this.handleIds = handleIds;
    }

    public Long getHandlerId() {
        return handlerId;
    }

    public void setHandlerId(Long handlerId) {
        this.handlerId = handlerId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getOfflineReason() {
        return offlineReason;
    }

    public void setOfflineReason(String offlineReason) {
        this.offlineReason = offlineReason;
    }

    public String getRefuseReason() {
        return refuseReason;
    }

    public void setRefuseReason(String refuseReason) {
        this.refuseReason = refuseReason;
    }

    public String getReapplyReason() {
        return reapplyReason;
    }

    public void setReapplyReason(String reapplyReason) {
        this.reapplyReason = reapplyReason;
    }

    @Override
    public String toString() {
        return "OfflineHandleEventDTO{" +
                "eventId=" + eventId +
                ", handleId=" + handleId +
                ", sysType=" + sysType +
                ", handleIds=" + handleIds +
                ", offlineReason='" + offlineReason + '\'' +
                ", refuseReason='" + refuseReason + '\'' +
                ", reapplyReason='" + reapplyReason + '\'' +
                ", status=" + status +
                ", handlerId=" + handlerId +
                ", shopId=" + shopId +
                ", handleType=" + handleType +
                '}';
    }
}
